%global git_hash 5266ec6

Name:       nodejs-which
Version:    1.0.2
Release:    1%{?dist}
Summary:    A JavaScript implementation of the 'which' command
License:    MIT
URL:        https://github.com/isaacs/node-which
# download from https://github.com/isaacs/node-which/tarball/%%{version}
Source0:    isaacs-node-which-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
%{summary}.

%prep
%setup -q -n isaacs-node-which-e7a959e

%nodejs_fixshebang bin/which

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p which.js %{buildroot}%{nodejs_libdir}

mkdir -p %{buildroot}%{_bindir}
install -pm755 bin/which %{buildroot}%{_bindir}/which.nodejs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/which.js
%{_bindir}/which.nodejs
%doc README.md

%changelog
* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-1
- new upstream release

* Tue Aug 23 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package
